> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credit portal settings

> Retrieve whether a customer can buy a credit product from the customer portal, the price they pay, and the prices they can be given.



## OpenAPI

````yaml get /v1/customers/{id}/credits/{productId}/portal-settings
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/customers/{id}/credits/{productId}/portal-settings:
    get:
      tags:
        - Customers > Credits
      summary: Get credit portal settings
      description: >-
        Retrieve whether a customer can buy a credit product from the customer
        portal, the price they pay, and the prices they can be given.
      operationId: getCustomerCreditPortalSettings
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
        - schema:
            type: string
          required: true
          name: productId
          in: path
      responses:
        '200':
          description: Credit portal settings
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreditPortalSettings'
      security:
        - bearer: []
components:
  schemas:
    CreditPortalSettings:
      type: object
      properties:
        customer_id:
          type: string
          description: Customer ID related to the credit.
          example: cus_Typ0px2W0aiEtl
        product_id:
          type: string
          description: Credit product ID.
          example: itm_3kXODDF42QXtnL
        enabled:
          type: boolean
          description: >-
            Whether the customer can buy this credit product from the customer
            portal. Enabling requires a price: `price_configuration_id`,
            `custom_price_configuration`, or the price already set. Disabling
            clears the price and removes the customer's own price.
          example: true
        currency:
          type:
            - string
            - 'null'
          description: Customer currency, which every portal price must use.
          example: EUR
        price_configuration:
          allOf:
            - $ref: '#/components/schemas/PriceConfiguration'
            - anyOf:
                - type: object
                  properties:
                    id:
                      type: string
                      description: Price configuration ID.
                    product_id:
                      type: string
                      description: ID of the product this price configuration belongs to.
                    price_book_id:
                      type:
                        - string
                        - 'null'
                      description: >-
                        ID of the price book to which this price configuration
                        belongs to. If null, the price configuration belongs to
                        the default price book.
                    status:
                      type: string
                      enum:
                        - active
                        - archived
                      description: Price configuration status.
                      example: active
                    currency:
                      type:
                        - string
                        - 'null'
                      enum:
                        - EUR
                        - AED
                        - AFN
                        - XCD
                        - ALL
                        - AMD
                        - AOA
                        - ARS
                        - USD
                        - AUD
                        - AWG
                        - AZN
                        - BAM
                        - BBD
                        - BDT
                        - BGN
                        - BHD
                        - BIF
                        - XOF
                        - BMD
                        - BND
                        - BOB
                        - BRL
                        - BSD
                        - BTN
                        - NOK
                        - BWP
                        - BYR
                        - BZD
                        - CAD
                        - CDF
                        - XAF
                        - CHF
                        - NZD
                        - CLP
                        - CNY
                        - COP
                        - CRC
                        - CUP
                        - CVE
                        - ANG
                        - CZK
                        - DJF
                        - DKK
                        - DOP
                        - DZD
                        - EGP
                        - MAD
                        - ERN
                        - ETB
                        - FJD
                        - FKP
                        - GBP
                        - GEL
                        - GHS
                        - GIP
                        - GMD
                        - GNF
                        - GTQ
                        - GYD
                        - HKD
                        - HNL
                        - HRK
                        - HTG
                        - HUF
                        - IDR
                        - ILS
                        - INR
                        - IQD
                        - IRR
                        - ISK
                        - JMD
                        - JOD
                        - JPY
                        - KES
                        - KGS
                        - KHR
                        - KMF
                        - KPW
                        - KRW
                        - KWD
                        - KYD
                        - KZT
                        - LAK
                        - LBP
                        - LKR
                        - LRD
                        - LSL
                        - LYD
                        - MDL
                        - MGA
                        - MKD
                        - MMK
                        - MNT
                        - MOP
                        - MRO
                        - MUR
                        - MVR
                        - MWK
                        - MXN
                        - MYR
                        - MZN
                        - NAD
                        - XPF
                        - NGN
                        - NIO
                        - NPR
                        - OMR
                        - PAB
                        - PEN
                        - PGK
                        - PHP
                        - PKR
                        - PLN
                        - PYG
                        - QAR
                        - RON
                        - RSD
                        - RUB
                        - RWF
                        - SAR
                        - SBD
                        - SCR
                        - SDG
                        - SEK
                        - SGD
                        - SHP
                        - SLL
                        - SOS
                        - SRD
                        - SSP
                        - STD
                        - SYP
                        - SZL
                        - THB
                        - TJS
                        - TMT
                        - TND
                        - TOP
                        - TRY
                        - TTD
                        - TWD
                        - TZS
                        - UAH
                        - UGX
                        - UYU
                        - UZS
                        - VEF
                        - VND
                        - VUV
                        - WST
                        - YER
                        - ZAR
                        - ZMW
                        - ZWL
                      description: >-
                        Currency code. See [ISO
                        4217](https://en.wikipedia.org/wiki/ISO_4217#List_of_ISO_4217_currency_codes).
                      example: EUR
                    country:
                      type:
                        - string
                        - 'null'
                      enum:
                        - AD
                        - AE
                        - AF
                        - AG
                        - AI
                        - AL
                        - AM
                        - AO
                        - AQ
                        - AR
                        - AS
                        - AT
                        - AU
                        - AW
                        - AX
                        - AZ
                        - BA
                        - BB
                        - BD
                        - BE
                        - BG
                        - BH
                        - BI
                        - BJ
                        - BL
                        - BM
                        - BN
                        - BO
                        - BQ
                        - BR
                        - BS
                        - BT
                        - BF
                        - BV
                        - BW
                        - BY
                        - BZ
                        - CA
                        - CC
                        - CD
                        - CF
                        - CG
                        - CH
                        - CI
                        - CK
                        - CL
                        - CM
                        - CN
                        - CO
                        - CR
                        - CU
                        - CV
                        - CW
                        - CX
                        - CY
                        - CZ
                        - DE
                        - DJ
                        - DK
                        - DM
                        - DO
                        - DZ
                        - EC
                        - EE
                        - EG
                        - EH
                        - ER
                        - ES
                        - ES-CE
                        - ES-ML
                        - ET
                        - FI
                        - FJ
                        - FK
                        - FM
                        - FO
                        - FR
                        - GA
                        - GB
                        - GD
                        - GE
                        - GF
                        - GG
                        - GH
                        - GI
                        - GL
                        - GM
                        - GN
                        - GP
                        - GQ
                        - GR
                        - GS
                        - GT
                        - GU
                        - GW
                        - GY
                        - HK
                        - HM
                        - HN
                        - HR
                        - HT
                        - HU
                        - IC
                        - ID
                        - IE
                        - IL
                        - IM
                        - IN
                        - IO
                        - IQ
                        - IR
                        - IS
                        - IT
                        - JE
                        - JM
                        - JO
                        - JP
                        - KE
                        - KG
                        - KH
                        - KI
                        - KM
                        - KN
                        - KP
                        - KR
                        - KW
                        - KY
                        - KZ
                        - LA
                        - LB
                        - LC
                        - LI
                        - LK
                        - LR
                        - LS
                        - LT
                        - LU
                        - LV
                        - LY
                        - MA
                        - MC
                        - MD
                        - ME
                        - MF
                        - MG
                        - MH
                        - MK
                        - ML
                        - MM
                        - MN
                        - MO
                        - MP
                        - MQ
                        - MR
                        - MS
                        - MT
                        - MU
                        - MV
                        - MW
                        - MX
                        - MY
                        - MZ
                        - NA
                        - NC
                        - NE
                        - NF
                        - NG
                        - NI
                        - NL
                        - 'NO'
                        - NP
                        - NR
                        - NU
                        - NZ
                        - OM
                        - PA
                        - PE
                        - PF
                        - PG
                        - PH
                        - PK
                        - PL
                        - PM
                        - PN
                        - PR
                        - PS
                        - PT
                        - PT-20
                        - PT-30
                        - PW
                        - PY
                        - QA
                        - RE
                        - RO
                        - RS
                        - RU
                        - RW
                        - SA
                        - SB
                        - SC
                        - SD
                        - SE
                        - SG
                        - SH
                        - SI
                        - SJ
                        - SK
                        - SL
                        - SM
                        - SN
                        - SO
                        - SR
                        - SS
                        - ST
                        - SV
                        - SX
                        - SY
                        - SZ
                        - TC
                        - TD
                        - TF
                        - TG
                        - TH
                        - TJ
                        - TK
                        - TL
                        - TM
                        - TN
                        - TO
                        - TR
                        - TT
                        - TV
                        - TW
                        - TZ
                        - UA
                        - UG
                        - UM
                        - US
                        - UY
                        - UZ
                        - VA
                        - VC
                        - VE
                        - VG
                        - VI
                        - VN
                        - VU
                        - WF
                        - WS
                        - XK
                        - YE
                        - YT
                        - ZA
                        - ZM
                        - ZW
                      description: >-
                        Deprecated, use `countries`. The single country this
                        price configuration is eligible in, or `null` when it
                        applies to every country — or to several, which this
                        field cannot express.
                      example: FR
                      deprecated: true
                    countries:
                      type:
                        - array
                        - 'null'
                      items:
                        type: string
                        enum:
                          - AD
                          - AE
                          - AF
                          - AG
                          - AI
                          - AL
                          - AM
                          - AO
                          - AQ
                          - AR
                          - AS
                          - AT
                          - AU
                          - AW
                          - AX
                          - AZ
                          - BA
                          - BB
                          - BD
                          - BE
                          - BG
                          - BH
                          - BI
                          - BJ
                          - BL
                          - BM
                          - BN
                          - BO
                          - BQ
                          - BR
                          - BS
                          - BT
                          - BF
                          - BV
                          - BW
                          - BY
                          - BZ
                          - CA
                          - CC
                          - CD
                          - CF
                          - CG
                          - CH
                          - CI
                          - CK
                          - CL
                          - CM
                          - CN
                          - CO
                          - CR
                          - CU
                          - CV
                          - CW
                          - CX
                          - CY
                          - CZ
                          - DE
                          - DJ
                          - DK
                          - DM
                          - DO
                          - DZ
                          - EC
                          - EE
                          - EG
                          - EH
                          - ER
                          - ES
                          - ES-CE
                          - ES-ML
                          - ET
                          - FI
                          - FJ
                          - FK
                          - FM
                          - FO
                          - FR
                          - GA
                          - GB
                          - GD
                          - GE
                          - GF
                          - GG
                          - GH
                          - GI
                          - GL
                          - GM
                          - GN
                          - GP
                          - GQ
                          - GR
                          - GS
                          - GT
                          - GU
                          - GW
                          - GY
                          - HK
                          - HM
                          - HN
                          - HR
                          - HT
                          - HU
                          - IC
                          - ID
                          - IE
                          - IL
                          - IM
                          - IN
                          - IO
                          - IQ
                          - IR
                          - IS
                          - IT
                          - JE
                          - JM
                          - JO
                          - JP
                          - KE
                          - KG
                          - KH
                          - KI
                          - KM
                          - KN
                          - KP
                          - KR
                          - KW
                          - KY
                          - KZ
                          - LA
                          - LB
                          - LC
                          - LI
                          - LK
                          - LR
                          - LS
                          - LT
                          - LU
                          - LV
                          - LY
                          - MA
                          - MC
                          - MD
                          - ME
                          - MF
                          - MG
                          - MH
                          - MK
                          - ML
                          - MM
                          - MN
                          - MO
                          - MP
                          - MQ
                          - MR
                          - MS
                          - MT
                          - MU
                          - MV
                          - MW
                          - MX
                          - MY
                          - MZ
                          - NA
                          - NC
                          - NE
                          - NF
                          - NG
                          - NI
                          - NL
                          - 'NO'
                          - NP
                          - NR
                          - NU
                          - NZ
                          - OM
                          - PA
                          - PE
                          - PF
                          - PG
                          - PH
                          - PK
                          - PL
                          - PM
                          - PN
                          - PR
                          - PS
                          - PT
                          - PT-20
                          - PT-30
                          - PW
                          - PY
                          - QA
                          - RE
                          - RO
                          - RS
                          - RU
                          - RW
                          - SA
                          - SB
                          - SC
                          - SD
                          - SE
                          - SG
                          - SH
                          - SI
                          - SJ
                          - SK
                          - SL
                          - SM
                          - SN
                          - SO
                          - SR
                          - SS
                          - ST
                          - SV
                          - SX
                          - SY
                          - SZ
                          - TC
                          - TD
                          - TF
                          - TG
                          - TH
                          - TJ
                          - TK
                          - TL
                          - TM
                          - TN
                          - TO
                          - TR
                          - TT
                          - TV
                          - TW
                          - TZ
                          - UA
                          - UG
                          - UM
                          - US
                          - UY
                          - UZ
                          - VA
                          - VC
                          - VE
                          - VG
                          - VI
                          - VN
                          - VU
                          - WF
                          - WS
                          - XK
                          - YE
                          - YT
                          - ZA
                          - ZM
                          - ZW
                        description: >-
                          Two-letter country code in ISO format. See [ISO 3166-1
                          alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
                        example: FR
                      description: >-
                        Countries this price configuration is eligible in.
                        `null` means it applies to every country; an empty array
                        means it applies only to customers that have no country
                        set.
                    plan_id:
                      type:
                        - string
                        - 'null'
                      description: >-
                        ID of the plan on which this price configuration is
                        eligible
                      deprecated: true
                    billing_interval:
                      anyOf:
                        - type: object
                          properties:
                            period:
                              type: string
                              enum:
                                - once
                          required:
                            - period
                        - type: object
                          properties:
                            period:
                              type: string
                              enum:
                                - days
                                - weeks
                                - months
                                - years
                            count:
                              type: number
                          required:
                            - period
                            - count
                        - type: 'null'
                      description: >-
                        Billing interval on which the price configuration is
                        eligible.
                    commitment_interval:
                      anyOf:
                        - type: object
                          properties:
                            period:
                              type: string
                              enum:
                                - all
                          required:
                            - period
                        - type: object
                          properties:
                            period:
                              type: string
                              enum:
                                - weeks
                                - months
                                - years
                            count:
                              type: number
                          required:
                            - period
                            - count
                        - type: 'null'
                      description: >-
                        Commitment interval on which the price configuration is
                        eligible.
                    updated_at:
                      type: string
                      format: date
                      description: Last edition date of the price configuration.
                    archived_at:
                      type:
                        - string
                        - 'null'
                      format: date
                      description: Date of the price configuration archival.
                    integrations:
                      type: array
                      items:
                        type: object
                        properties:
                          entity_id:
                            type: string
                            description: ID of the entity in the provider.
                          provider_name:
                            type: string
                            enum:
                              - adyen
                              - stripe
                              - mollie
                              - gocardless
                              - airwallex
                              - salesforce
                              - hubspot
                              - attio
                              - xero
                              - pennylane
                              - zoho-books
                              - exact-online
                              - quickbooks
                              - netsuite
                              - rillet
                              - datev
                              - anrok
                              - sphere
                              - chargebee
                              - slack
                              - plain
                              - zendesk
                              - pylon
                              - intercom
                              - front
                              - helpscout
                              - claap
                              - grain
                              - gong
                              - jiminny
                              - modjo
                              - posthog
                            description: Provider name.
                          provider_account_id:
                            type: string
                            description: ID of the connected provider account.
                          created_at:
                            type:
                              - string
                              - 'null'
                            format: date-time
                            description: >-
                              Creation date of the entity in the provider, when
                              it was imported from there. Exposed on products
                              and coupons; `null` when the provider does not
                              report one.
                            example: '2024-12-20T16:04:11Z'
                        required:
                          - entity_id
                          - provider_name
                          - provider_account_id
                        description: Reference to the entity in an external provider.
                        example:
                          entity_id: '123456789'
                          provider_name: stripe
                          provider_account_id: acc_1234567890
                      description: >-
                        References to this price configuration in external
                        providers.
                    type:
                      type: string
                      enum:
                        - fee
                    prices:
                      type: array
                      items:
                        $ref: '#/components/schemas/PriceFee'
                      maxItems: 1
                      description: >-
                        Price tiers of the price configuration. If fixed amount,
                        only one price is available.
                  required:
                    - id
                    - product_id
                    - price_book_id
                    - status
                    - currency
                    - country
                    - countries
                    - plan_id
                    - billing_interval
                    - commitment_interval
                    - updated_at
                    - archived_at
                    - integrations
                    - type
                    - prices
                  title: Fee
                - type: object
                  properties:
                    id:
                      type: string
                      description: Price configuration ID.
                    product_id:
                      type: string
                      description: ID of the product this price configuration belongs to.
                    price_book_id:
                      type:
                        - string
                        - 'null'
                      description: >-
                        ID of the price book to which this price configuration
                        belongs to. If null, the price configuration belongs to
                        the default price book.
                    status:
                      type: string
                      enum:
                        - active
                        - archived
                      description: Price configuration status.
                      example: active
                    currency:
                      type:
                        - string
                        - 'null'
                      enum:
                        - EUR
                        - AED
                        - AFN
                        - XCD
                        - ALL
                        - AMD
                        - AOA
                        - ARS
                        - USD
                        - AUD
                        - AWG
                        - AZN
                        - BAM
                        - BBD
                        - BDT
                        - BGN
                        - BHD
                        - BIF
                        - XOF
                        - BMD
                        - BND
                        - BOB
                        - BRL
                        - BSD
                        - BTN
                        - NOK
                        - BWP
                        - BYR
                        - BZD
                        - CAD
                        - CDF
                        - XAF
                        - CHF
                        - NZD
                        - CLP
                        - CNY
                        - COP
                        - CRC
                        - CUP
                        - CVE
                        - ANG
                        - CZK
                        - DJF
                        - DKK
                        - DOP
                        - DZD
                        - EGP
                        - MAD
                        - ERN
                        - ETB
                        - FJD
                        - FKP
                        - GBP
                        - GEL
                        - GHS
                        - GIP
                        - GMD
                        - GNF
                        - GTQ
                        - GYD
                        - HKD
                        - HNL
                        - HRK
                        - HTG
                        - HUF
                        - IDR
                        - ILS
                        - INR
                        - IQD
                        - IRR
                        - ISK
                        - JMD
                        - JOD
                        - JPY
                        - KES
                        - KGS
                        - KHR
                        - KMF
                        - KPW
                        - KRW
                        - KWD
                        - KYD
                        - KZT
                        - LAK
                        - LBP
                        - LKR
                        - LRD
                        - LSL
                        - LYD
                        - MDL
                        - MGA
                        - MKD
                        - MMK
                        - MNT
                        - MOP
                        - MRO
                        - MUR
                        - MVR
                        - MWK
                        - MXN
                        - MYR
                        - MZN
                        - NAD
                        - XPF
                        - NGN
                        - NIO
                        - NPR
                        - OMR
                        - PAB
                        - PEN
                        - PGK
                        - PHP
                        - PKR
                        - PLN
                        - PYG
                        - QAR
                        - RON
                        - RSD
                        - RUB
                        - RWF
                        - SAR
                        - SBD
                        - SCR
                        - SDG
                        - SEK
                        - SGD
                        - SHP
                        - SLL
                        - SOS
                        - SRD
                        - SSP
                        - STD
                        - SYP
                        - SZL
                        - THB
                        - TJS
                        - TMT
                        - TND
                        - TOP
                        - TRY
                        - TTD
                        - TWD
                        - TZS
                        - UAH
                        - UGX
                        - UYU
                        - UZS
                        - VEF
                        - VND
                        - VUV
                        - WST
                        - YER
                        - ZAR
                        - ZMW
                        - ZWL
                      description: >-
                        Currency code. See [ISO
                        4217](https://en.wikipedia.org/wiki/ISO_4217#List_of_ISO_4217_currency_codes).
                      example: EUR
                    country:
                      type:
                        - string
                        - 'null'
                      enum:
                        - AD
                        - AE
                        - AF
                        - AG
                        - AI
                        - AL
                        - AM
                        - AO
                        - AQ
                        - AR
                        - AS
                        - AT
                        - AU
                        - AW
                        - AX
                        - AZ
                        - BA
                        - BB
                        - BD
                        - BE
                        - BG
                        - BH
                        - BI
                        - BJ
                        - BL
                        - BM
                        - BN
                        - BO
                        - BQ
                        - BR
                        - BS
                        - BT
                        - BF
                        - BV
                        - BW
                        - BY
                        - BZ
                        - CA
                        - CC
                        - CD
                        - CF
                        - CG
                        - CH
                        - CI
                        - CK
                        - CL
                        - CM
                        - CN
                        - CO
                        - CR
                        - CU
                        - CV
                        - CW
                        - CX
                        - CY
                        - CZ
                        - DE
                        - DJ
                        - DK
                        - DM
                        - DO
                        - DZ
                        - EC
                        - EE
                        - EG
                        - EH
                        - ER
                        - ES
                        - ES-CE
                        - ES-ML
                        - ET
                        - FI
                        - FJ
                        - FK
                        - FM
                        - FO
                        - FR
                        - GA
                        - GB
                        - GD
                        - GE
                        - GF
                        - GG
                        - GH
                        - GI
                        - GL
                        - GM
                        - GN
                        - GP
                        - GQ
                        - GR
                        - GS
                        - GT
                        - GU
                        - GW
                        - GY
                        - HK
                        - HM
                        - HN
                        - HR
                        - HT
                        - HU
                        - IC
                        - ID
                        - IE
                        - IL
                        - IM
                        - IN
                        - IO
                        - IQ
                        - IR
                        - IS
                        - IT
                        - JE
                        - JM
                        - JO
                        - JP
                        - KE
                        - KG
                        - KH
                        - KI
                        - KM
                        - KN
                        - KP
                        - KR
                        - KW
                        - KY
                        - KZ
                        - LA
                        - LB
                        - LC
                        - LI
                        - LK
                        - LR
                        - LS
                        - LT
                        - LU
                        - LV
                        - LY
                        - MA
                        - MC
                        - MD
                        - ME
                        - MF
                        - MG
                        - MH
                        - MK
                        - ML
                        - MM
                        - MN
                        - MO
                        - MP
                        - MQ
                        - MR
                        - MS
                        - MT
                        - MU
                        - MV
                        - MW
                        - MX
                        - MY
                        - MZ
                        - NA
                        - NC
                        - NE
                        - NF
                        - NG
                        - NI
                        - NL
                        - 'NO'
                        - NP
                        - NR
                        - NU
                        - NZ
                        - OM
                        - PA
                        - PE
                        - PF
                        - PG
                        - PH
                        - PK
                        - PL
                        - PM
                        - PN
                        - PR
                        - PS
                        - PT
                        - PT-20
                        - PT-30
                        - PW
                        - PY
                        - QA
                        - RE
                        - RO
                        - RS
                        - RU
                        - RW
                        - SA
                        - SB
                        - SC
                        - SD
                        - SE
                        - SG
                        - SH
                        - SI
                        - SJ
                        - SK
                        - SL
                        - SM
                        - SN
                        - SO
                        - SR
                        - SS
                        - ST
                        - SV
                        - SX
                        - SY
                        - SZ
                        - TC
                        - TD
                        - TF
                        - TG
                        - TH
                        - TJ
                        - TK
                        - TL
                        - TM
                        - TN
                        - TO
                        - TR
                        - TT
                        - TV
                        - TW
                        - TZ
                        - UA
                        - UG
                        - UM
                        - US
                        - UY
                        - UZ
                        - VA
                        - VC
                        - VE
                        - VG
                        - VI
                        - VN
                        - VU
                        - WF
                        - WS
                        - XK
                        - YE
                        - YT
                        - ZA
                        - ZM
                        - ZW
                      description: >-
                        Deprecated, use `countries`. The single country this
                        price configuration is eligible in, or `null` when it
                        applies to every country — or to several, which this
                        field cannot express.
                      example: FR
                      deprecated: true
                    countries:
                      type:
                        - array
                        - 'null'
                      items:
                        type: string
                        enum:
                          - AD
                          - AE
                          - AF
                          - AG
                          - AI
                          - AL
                          - AM
                          - AO
                          - AQ
                          - AR
                          - AS
                          - AT
                          - AU
                          - AW
                          - AX
                          - AZ
                          - BA
                          - BB
                          - BD
                          - BE
                          - BG
                          - BH
                          - BI
                          - BJ
                          - BL
                          - BM
                          - BN
                          - BO
                          - BQ
                          - BR
                          - BS
                          - BT
                          - BF
                          - BV
                          - BW
                          - BY
                          - BZ
                          - CA
                          - CC
                          - CD
                          - CF
                          - CG
                          - CH
                          - CI
                          - CK
                          - CL
                          - CM
                          - CN
                          - CO
                          - CR
                          - CU
                          - CV
                          - CW
                          - CX
                          - CY
                          - CZ
                          - DE
                          - DJ
                          - DK
                          - DM
                          - DO
                          - DZ
                          - EC
                          - EE
                          - EG
                          - EH
                          - ER
                          - ES
                          - ES-CE
                          - ES-ML
                          - ET
                          - FI
                          - FJ
                          - FK
                          - FM
                          - FO
                          - FR
                          - GA
                          - GB
                          - GD
                          - GE
                          - GF
                          - GG
                          - GH
                          - GI
                          - GL
                          - GM
                          - GN
                          - GP
                          - GQ
                          - GR
                          - GS
                          - GT
                          - GU
                          - GW
                          - GY
                          - HK
                          - HM
                          - HN
                          - HR
                          - HT
                          - HU
                          - IC
                          - ID
                          - IE
                          - IL
                          - IM
                          - IN
                          - IO
                          - IQ
                          - IR
                          - IS
                          - IT
                          - JE
                          - JM
                          - JO
                          - JP
                          - KE
                          - KG
                          - KH
                          - KI
                          - KM
                          - KN
                          - KP
                          - KR
                          - KW
                          - KY
                          - KZ
                          - LA
                          - LB
                          - LC
                          - LI
                          - LK
                          - LR
                          - LS
                          - LT
                          - LU
                          - LV
                          - LY
                          - MA
                          - MC
                          - MD
                          - ME
                          - MF
                          - MG
                          - MH
                          - MK
                          - ML
                          - MM
                          - MN
                          - MO
                          - MP
                          - MQ
                          - MR
                          - MS
                          - MT
                          - MU
                          - MV
                          - MW
                          - MX
                          - MY
                          - MZ
                          - NA
                          - NC
                          - NE
                          - NF
                          - NG
                          - NI
                          - NL
                          - 'NO'
                          - NP
                          - NR
                          - NU
                          - NZ
                          - OM
                          - PA
                          - PE
                          - PF
                          - PG
                          - PH
                          - PK
                          - PL
                          - PM
                          - PN
                          - PR
                          - PS
                          - PT
                          - PT-20
                          - PT-30
                          - PW
                          - PY
                          - QA
                          - RE
                          - RO
                          - RS
                          - RU
                          - RW
                          - SA
                          - SB
                          - SC
                          - SD
                          - SE
                          - SG
                          - SH
                          - SI
                          - SJ
                          - SK
                          - SL
                          - SM
                          - SN
                          - SO
                          - SR
                          - SS
                          - ST
                          - SV
                          - SX
                          - SY
                          - SZ
                          - TC
                          - TD
                          - TF
                          - TG
                          - TH
                          - TJ
                          - TK
                          - TL
                          - TM
                          - TN
                          - TO
                          - TR
                          - TT
                          - TV
                          - TW
                          - TZ
                          - UA
                          - UG
                          - UM
                          - US
                          - UY
                          - UZ
                          - VA
                          - VC
                          - VE
                          - VG
                          - VI
                          - VN
                          - VU
                          - WF
                          - WS
                          - XK
                          - YE
                          - YT
                          - ZA
                          - ZM
                          - ZW
                        description: >-
                          Two-letter country code in ISO format. See [ISO 3166-1
                          alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
                        example: FR
                      description: >-
                        Countries this price configuration is eligible in.
                        `null` means it applies to every country; an empty array
                        means it applies only to customers that have no country
                        set.
                    plan_id:
                      type:
                        - string
                        - 'null'
                      description: >-
                        ID of the plan on which this price configuration is
                        eligible
                      deprecated: true
                    billing_interval:
                      anyOf:
                        - type: object
                          properties:
                            period:
                              type: string
                              enum:
                                - once
                          required:
                            - period
                        - type: object
                          properties:
                            period:
                              type: string
                              enum:
                                - days
                                - weeks
                                - months
                                - years
                            count:
                              type: number
                          required:
                            - period
                            - count
                        - type: 'null'
                      description: >-
                        Billing interval on which the price configuration is
                        eligible.
                    commitment_interval:
                      anyOf:
                        - type: object
                          properties:
                            period:
                              type: string
                              enum:
                                - all
                          required:
                            - period
                        - type: object
                          properties:
                            period:
                              type: string
                              enum:
                                - weeks
                                - months
                                - years
                            count:
                              type: number
                          required:
                            - period
                            - count
                        - type: 'null'
                      description: >-
                        Commitment interval on which the price configuration is
                        eligible.
                    updated_at:
                      type: string
                      format: date
                      description: Last edition date of the price configuration.
                    archived_at:
                      type:
                        - string
                        - 'null'
                      format: date
                      description: Date of the price configuration archival.
                    integrations:
                      type: array
                      items:
                        type: object
                        properties:
                          entity_id:
                            type: string
                            description: ID of the entity in the provider.
                          provider_name:
                            type: string
                            enum:
                              - adyen
                              - stripe
                              - mollie
                              - gocardless
                              - airwallex
                              - salesforce
                              - hubspot
                              - attio
                              - xero
                              - pennylane
                              - zoho-books
                              - exact-online
                              - quickbooks
                              - netsuite
                              - rillet
                              - datev
                              - anrok
                              - sphere
                              - chargebee
                              - slack
                              - plain
                              - zendesk
                              - pylon
                              - intercom
                              - front
                              - helpscout
                              - claap
                              - grain
                              - gong
                              - jiminny
                              - modjo
                              - posthog
                            description: Provider name.
                          provider_account_id:
                            type: string
                            description: ID of the connected provider account.
                          created_at:
                            type:
                              - string
                              - 'null'
                            format: date-time
                            description: >-
                              Creation date of the entity in the provider, when
                              it was imported from there. Exposed on products
                              and coupons; `null` when the provider does not
                              report one.
                            example: '2024-12-20T16:04:11Z'
                        required:
                          - entity_id
                          - provider_name
                          - provider_account_id
                        description: Reference to the entity in an external provider.
                        example:
                          entity_id: '123456789'
                          provider_name: stripe
                          provider_account_id: acc_1234567890
                      description: >-
                        References to this price configuration in external
                        providers.
                    type:
                      type: string
                      enum:
                        - volume
                    metering_filter:
                      $ref: '#/components/schemas/MeteringFilter'
                    prices:
                      type: array
                      items:
                        $ref: '#/components/schemas/PriceVolume'
                      description: >-
                        Price tiers of the price configuration. If fixed amount,
                        only one price is available.
                  required:
                    - id
                    - product_id
                    - price_book_id
                    - status
                    - currency
                    - country
                    - countries
                    - plan_id
                    - billing_interval
                    - commitment_interval
                    - updated_at
                    - archived_at
                    - integrations
                    - type
                    - metering_filter
                    - prices
                  title: Volume
                - type: object
                  properties:
                    id:
                      type: string
                      description: Price configuration ID.
                    product_id:
                      type: string
                      description: ID of the product this price configuration belongs to.
                    price_book_id:
                      type:
                        - string
                        - 'null'
                      description: >-
                        ID of the price book to which this price configuration
                        belongs to. If null, the price configuration belongs to
                        the default price book.
                    status:
                      type: string
                      enum:
                        - active
                        - archived
                      description: Price configuration status.
                      example: active
                    currency:
                      type:
                        - string
                        - 'null'
                      enum:
                        - EUR
                        - AED
                        - AFN
                        - XCD
                        - ALL
                        - AMD
                        - AOA
                        - ARS
                        - USD
                        - AUD
                        - AWG
                        - AZN
                        - BAM
                        - BBD
                        - BDT
                        - BGN
                        - BHD
                        - BIF
                        - XOF
                        - BMD
                        - BND
                        - BOB
                        - BRL
                        - BSD
                        - BTN
                        - NOK
                        - BWP
                        - BYR
                        - BZD
                        - CAD
                        - CDF
                        - XAF
                        - CHF
                        - NZD
                        - CLP
                        - CNY
                        - COP
                        - CRC
                        - CUP
                        - CVE
                        - ANG
                        - CZK
                        - DJF
                        - DKK
                        - DOP
                        - DZD
                        - EGP
                        - MAD
                        - ERN
                        - ETB
                        - FJD
                        - FKP
                        - GBP
                        - GEL
                        - GHS
                        - GIP
                        - GMD
                        - GNF
                        - GTQ
                        - GYD
                        - HKD
                        - HNL
                        - HRK
                        - HTG
                        - HUF
                        - IDR
                        - ILS
                        - INR
                        - IQD
                        - IRR
                        - ISK
                        - JMD
                        - JOD
                        - JPY
                        - KES
                        - KGS
                        - KHR
                        - KMF
                        - KPW
                        - KRW
                        - KWD
                        - KYD
                        - KZT
                        - LAK
                        - LBP
                        - LKR
                        - LRD
                        - LSL
                        - LYD
                        - MDL
                        - MGA
                        - MKD
                        - MMK
                        - MNT
                        - MOP
                        - MRO
                        - MUR
                        - MVR
                        - MWK
                        - MXN
                        - MYR
                        - MZN
                        - NAD
                        - XPF
                        - NGN
                        - NIO
                        - NPR
                        - OMR
                        - PAB
                        - PEN
                        - PGK
                        - PHP
                        - PKR
                        - PLN
                        - PYG
                        - QAR
                        - RON
                        - RSD
                        - RUB
                        - RWF
                        - SAR
                        - SBD
                        - SCR
                        - SDG
                        - SEK
                        - SGD
                        - SHP
                        - SLL
                        - SOS
                        - SRD
                        - SSP
                        - STD
                        - SYP
                        - SZL
                        - THB
                        - TJS
                        - TMT
                        - TND
                        - TOP
                        - TRY
                        - TTD
                        - TWD
                        - TZS
                        - UAH
                        - UGX
                        - UYU
                        - UZS
                        - VEF
                        - VND
                        - VUV
                        - WST
                        - YER
                        - ZAR
                        - ZMW
                        - ZWL
                      description: >-
                        Currency code. See [ISO
                        4217](https://en.wikipedia.org/wiki/ISO_4217#List_of_ISO_4217_currency_codes).
                      example: EUR
                    country:
                      type:
                        - string
                        - 'null'
                      enum:
                        - AD
                        - AE
                        - AF
                        - AG
                        - AI
                        - AL
                        - AM
                        - AO
                        - AQ
                        - AR
                        - AS
                        - AT
                        - AU
                        - AW
                        - AX
                        - AZ
                        - BA
                        - BB
                        - BD
                        - BE
                        - BG
                        - BH
                        - BI
                        - BJ
                        - BL
                        - BM
                        - BN
                        - BO
                        - BQ
                        - BR
                        - BS
                        - BT
                        - BF
                        - BV
                        - BW
                        - BY
                        - BZ
                        - CA
                        - CC
                        - CD
                        - CF
                        - CG
                        - CH
                        - CI
                        - CK
                        - CL
                        - CM
                        - CN
                        - CO
                        - CR
                        - CU
                        - CV
                        - CW
                        - CX
                        - CY
                        - CZ
                        - DE
                        - DJ
                        - DK
                        - DM
                        - DO
                        - DZ
                        - EC
                        - EE
                        - EG
                        - EH
                        - ER
                        - ES
                        - ES-CE
                        - ES-ML
                        - ET
                        - FI
                        - FJ
                        - FK
                        - FM
                        - FO
                        - FR
                        - GA
                        - GB
                        - GD
                        - GE
                        - GF
                        - GG
                        - GH
                        - GI
                        - GL
                        - GM
                        - GN
                        - GP
                        - GQ
                        - GR
                        - GS
                        - GT
                        - GU
                        - GW
                        - GY
                        - HK
                        - HM
                        - HN
                        - HR
                        - HT
                        - HU
                        - IC
                        - ID
                        - IE
                        - IL
                        - IM
                        - IN
                        - IO
                        - IQ
                        - IR
                        - IS
                        - IT
                        - JE
                        - JM
                        - JO
                        - JP
                        - KE
                        - KG
                        - KH
                        - KI
                        - KM
                        - KN
                        - KP
                        - KR
                        - KW
                        - KY
                        - KZ
                        - LA
                        - LB
                        - LC
                        - LI
                        - LK
                        - LR
                        - LS
                        - LT
                        - LU
                        - LV
                        - LY
                        - MA
                        - MC
                        - MD
                        - ME
                        - MF
                        - MG
                        - MH
                        - MK
                        - ML
                        - MM
                        - MN
                        - MO
                        - MP
                        - MQ
                        - MR
                        - MS
                        - MT
                        - MU
                        - MV
                        - MW
                        - MX
                        - MY
                        - MZ
                        - NA
                        - NC
                        - NE
                        - NF
                        - NG
                        - NI
                        - NL
                        - 'NO'
                        - NP
                        - NR
                        - NU
                        - NZ
                        - OM
                        - PA
                        - PE
                        - PF
                        - PG
                        - PH
                        - PK
                        - PL
                        - PM
                        - PN
                        - PR
                        - PS
                        - PT
                        - PT-20
                        - PT-30
                        - PW
                        - PY
                        - QA
                        - RE
                        - RO
                        - RS
                        - RU
                        - RW
                        - SA
                        - SB
                        - SC
                        - SD
                        - SE
                        - SG
                        - SH
                        - SI
                        - SJ
                        - SK
                        - SL
                        - SM
                        - SN
                        - SO
                        - SR
                        - SS
                        - ST
                        - SV
                        - SX
                        - SY
                        - SZ
                        - TC
                        - TD
                        - TF
                        - TG
                        - TH
                        - TJ
                        - TK
                        - TL
                        - TM
                        - TN
                        - TO
                        - TR
                        - TT
                        - TV
                        - TW
                        - TZ
                        - UA
                        - UG
                        - UM
                        - US
                        - UY
                        - UZ
                        - VA
                        - VC
                        - VE
                        - VG
                        - VI
                        - VN
                        - VU
                        - WF
                        - WS
                        - XK
                        - YE
                        - YT
                        - ZA
                        - ZM
                        - ZW
                      description: >-
                        Deprecated, use `countries`. The single country this
                        price configuration is eligible in, or `null` when it
                        applies to every country — or to several, which this
                        field cannot express.
                      example: FR
                      deprecated: true
                    countries:
                      type:
                        - array
                        - 'null'
                      items:
                        type: string
                        enum:
                          - AD
                          - AE
                          - AF
                          - AG
                          - AI
                          - AL
                          - AM
                          - AO
                          - AQ
                          - AR
                          - AS
                          - AT
                          - AU
                          - AW
                          - AX
                          - AZ
                          - BA
                          - BB
                          - BD
                          - BE
                          - BG
                          - BH
                          - BI
                          - BJ
                          - BL
                          - BM
                          - BN
                          - BO
                          - BQ
                          - BR
                          - BS
                          - BT
                          - BF
                          - BV
                          - BW
                          - BY
                          - BZ
                          - CA
                          - CC
                          - CD
                          - CF
                          - CG
                          - CH
                          - CI
                          - CK
                          - CL
                          - CM
                          - CN
                          - CO
                          - CR
                          - CU
                          - CV
                          - CW
                          - CX
                          - CY
                          - CZ
                          - DE
                          - DJ
                          - DK
                          - DM
                          - DO
                          - DZ
                          - EC
                          - EE
                          - EG
                          - EH
                          - ER
                          - ES
                          - ES-CE
                          - ES-ML
                          - ET
                          - FI
                          - FJ
                          - FK
                          - FM
                          - FO
                          - FR
                          - GA
                          - GB
                          - GD
                          - GE
                          - GF
                          - GG
                          - GH
                          - GI
                          - GL
                          - GM
                          - GN
                          - GP
                          - GQ
                          - GR
                          - GS
                          - GT
                          - GU
                          - GW
                          - GY
                          - HK
                          - HM
                          - HN
                          - HR
                          - HT
                          - HU
                          - IC
                          - ID
                          - IE
                          - IL
                          - IM
                          - IN
                          - IO
                          - IQ
                          - IR
                          - IS
                          - IT
                          - JE
                          - JM
                          - JO
                          - JP
                          - KE
                          - KG
                          - KH
                          - KI
                          - KM
                          - KN
                          - KP
                          - KR
                          - KW
                          - KY
                          - KZ
                          - LA
                          - LB
                          - LC
                          - LI
                          - LK
                          - LR
                          - LS
                          - LT
                          - LU
                          - LV
                          - LY
                          - MA
                          - MC
                          - MD
                          - ME
                          - MF
                          - MG
                          - MH
                          - MK
                          - ML
                          - MM
                          - MN
                          - MO
                          - MP
                          - MQ
                          - MR
                          - MS
                          - MT
                          - MU
                          - MV
                          - MW
                          - MX
                          - MY
                          - MZ
                          - NA
                          - NC
                          - NE
                          - NF
                          - NG
                          - NI
                          - NL
                          - 'NO'
                          - NP
                          - NR
                          - NU
                          - NZ
                          - OM
                          - PA
                          - PE
                          - PF
                          - PG
                          - PH
                          - PK
                          - PL
                          - PM
                          - PN
                          - PR
                          - PS
                          - PT
                          - PT-20
                          - PT-30
                          - PW
                          - PY
                          - QA
                          - RE
                          - RO
                          - RS
                          - RU
                          - RW
                          - SA
                          - SB
                          - SC
                          - SD
                          - SE
                          - SG
                          - SH
                          - SI
                          - SJ
                          - SK
                          - SL
                          - SM
                          - SN
                          - SO
                          - SR
                          - SS
                          - ST
                          - SV
                          - SX
                          - SY
                          - SZ
                          - TC
                          - TD
                          - TF
                          - TG
                          - TH
                          - TJ
                          - TK
                          - TL
                          - TM
                          - TN
                          - TO
                          - TR
                          - TT
                          - TV
                          - TW
                          - TZ
                          - UA
                          - UG
                          - UM
                          - US
                          - UY
                          - UZ
                          - VA
                          - VC
                          - VE
                          - VG
                          - VI
                          - VN
                          - VU
                          - WF
                          - WS
                          - XK
                          - YE
                          - YT
                          - ZA
                          - ZM
                          - ZW
                        description: >-
                          Two-letter country code in ISO format. See [ISO 3166-1
                          alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
                        example: FR
                      description: >-
                        Countries this price configuration is eligible in.
                        `null` means it applies to every country; an empty array
                        means it applies only to customers that have no country
                        set.
                    plan_id:
                      type:
                        - string
                        - 'null'
                      description: >-
                        ID of the plan on which this price configuration is
                        eligible
                      deprecated: true
                    billing_interval:
                      anyOf:
                        - type: object
                          properties:
                            period:
                              type: string
                              enum:
                                - once
                          required:
                            - period
                        - type: object
                          properties:
                            period:
                              type: string
                              enum:
                                - days
                                - weeks
                                - months
                                - years
                            count:
                              type: number
                          required:
                            - period
                            - count
                        - type: 'null'
                      description: >-
                        Billing interval on which the price configuration is
                        eligible.
                    commitment_interval:
                      anyOf:
                        - type: object
                          properties:
                            period:
                              type: string
                              enum:
                                - all
                          required:
                            - period
                        - type: object
                          properties:
                            period:
                              type: string
                              enum:
                                - weeks
                                - months
                                - years
                            count:
                              type: number
                          required:
                            - period
                            - count
                        - type: 'null'
                      description: >-
                        Commitment interval on which the price configuration is
                        eligible.
                    updated_at:
                      type: string
                      format: date
                      description: Last edition date of the price configuration.
                    archived_at:
                      type:
                        - string
                        - 'null'
                      format: date
                      description: Date of the price configuration archival.
                    integrations:
                      type: array
                      items:
                        type: object
                        properties:
                          entity_id:
                            type: string
                            description: ID of the entity in the provider.
                          provider_name:
                            type: string
                            enum:
                              - adyen
                              - stripe
                              - mollie
                              - gocardless
                              - airwallex
                              - salesforce
                              - hubspot
                              - attio
                              - xero
                              - pennylane
                              - zoho-books
                              - exact-online
                              - quickbooks
                              - netsuite
                              - rillet
                              - datev
                              - anrok
                              - sphere
                              - chargebee
                              - slack
                              - plain
                              - zendesk
                              - pylon
                              - intercom
                              - front
                              - helpscout
                              - claap
                              - grain
                              - gong
                              - jiminny
                              - modjo
                              - posthog
                            description: Provider name.
                          provider_account_id:
                            type: string
                            description: ID of the connected provider account.
                          created_at:
                            type:
                              - string
                              - 'null'
                            format: date-time
                            description: >-
                              Creation date of the entity in the provider, when
                              it was imported from there. Exposed on products
                              and coupons; `null` when the provider does not
                              report one.
                            example: '2024-12-20T16:04:11Z'
                        required:
                          - entity_id
                          - provider_name
                          - provider_account_id
                        description: Reference to the entity in an external provider.
                        example:
                          entity_id: '123456789'
                          provider_name: stripe
                          provider_account_id: acc_1234567890
                      description: >-
                        References to this price configuration in external
                        providers.
                    type:
                      type: string
                      enum:
                        - packaged
                    metering_filter:
                      $ref: '#/components/schemas/MeteringFilter'
                    prices:
                      type: array
                      items:
                        $ref: '#/components/schemas/PricePackaged'
                      description: >-
                        Price tiers of the price configuration. If fixed amount,
                        only one price is available.
                  required:
                    - id
                    - product_id
                    - price_book_id
                    - status
                    - currency
                    - country
                    - countries
                    - plan_id
                    - billing_interval
                    - commitment_interval
                    - updated_at
                    - archived_at
                    - integrations
                    - type
                    - metering_filter
                    - prices
                  title: Packaged
                - type: object
                  properties:
                    id:
                      type: string
                      description: Price configuration ID.
                    product_id:
                      type: string
                      description: ID of the product this price configuration belongs to.
                    price_book_id:
                      type:
                        - string
                        - 'null'
                      description: >-
                        ID of the price book to which this price configuration
                        belongs to. If null, the price configuration belongs to
                        the default price book.
                    status:
                      type: string
                      enum:
                        - active
                        - archived
                      description: Price configuration status.
                      example: active
                    currency:
                      type:
                        - string
                        - 'null'
                      enum:
                        - EUR
                        - AED
                        - AFN
                        - XCD
                        - ALL
                        - AMD
                        - AOA
                        - ARS
                        - USD
                        - AUD
                        - AWG
                        - AZN
                        - BAM
                        - BBD
                        - BDT
                        - BGN
                        - BHD
                        - BIF
                        - XOF
                        - BMD
                        - BND
                        - BOB
                        - BRL
                        - BSD
                        - BTN
                        - NOK
                        - BWP
                        - BYR
                        - BZD
                        - CAD
                        - CDF
                        - XAF
                        - CHF
                        - NZD
                        - CLP
                        - CNY
                        - COP
                        - CRC
                        - CUP
                        - CVE
                        - ANG
                        - CZK
                        - DJF
                        - DKK
                        - DOP
                        - DZD
                        - EGP
                        - MAD
                        - ERN
                        - ETB
                        - FJD
                        - FKP
                        - GBP
                        - GEL
                        - GHS
                        - GIP
                        - GMD
                        - GNF
                        - GTQ
                        - GYD
                        - HKD
                        - HNL
                        - HRK
                        - HTG
                        - HUF
                        - IDR
                        - ILS
                        - INR
                        - IQD
                        - IRR
                        - ISK
                        - JMD
                        - JOD
                        - JPY
                        - KES
                        - KGS
                        - KHR
                        - KMF
                        - KPW
                        - KRW
                        - KWD
                        - KYD
                        - KZT
                        - LAK
                        - LBP
                        - LKR
                        - LRD
                        - LSL
                        - LYD
                        - MDL
                        - MGA
                        - MKD
                        - MMK
                        - MNT
                        - MOP
                        - MRO
                        - MUR
                        - MVR
                        - MWK
                        - MXN
                        - MYR
                        - MZN
                        - NAD
                        - XPF
                        - NGN
                        - NIO
                        - NPR
                        - OMR
                        - PAB
                        - PEN
                        - PGK
                        - PHP
                        - PKR
                        - PLN
                        - PYG
                        - QAR
                        - RON
                        - RSD
                        - RUB
                        - RWF
                        - SAR
                        - SBD
                        - SCR
                        - SDG
                        - SEK
                        - SGD
                        - SHP
                        - SLL
                        - SOS
                        - SRD
                        - SSP
                        - STD
                        - SYP
                        - SZL
                        - THB
                        - TJS
                        - TMT
                        - TND
                        - TOP
                        - TRY
                        - TTD
                        - TWD
                        - TZS
                        - UAH
                        - UGX
                        - UYU
                        - UZS
                        - VEF
                        - VND
                        - VUV
                        - WST
                        - YER
                        - ZAR
                        - ZMW
                        - ZWL
                      description: >-
                        Currency code. See [ISO
                        4217](https://en.wikipedia.org/wiki/ISO_4217#List_of_ISO_4217_currency_codes).
                      example: EUR
                    country:
                      type:
                        - string
                        - 'null'
                      enum:
                        - AD
                        - AE
                        - AF
                        - AG
                        - AI
                        - AL
                        - AM
                        - AO
                        - AQ
                        - AR
                        - AS
                        - AT
                        - AU
                        - AW
                        - AX
                        - AZ
                        - BA
                        - BB
                        - BD
                        - BE
                        - BG
                        - BH
                        - BI
                        - BJ
                        - BL
                        - BM
                        - BN
                        - BO
                        - BQ
                        - BR
                        - BS
                        - BT
                        - BF
                        - BV
                        - BW
                        - BY
                        - BZ
                        - CA
                        - CC
                        - CD
                        - CF
                        - CG
                        - CH
                        - CI
                        - CK
                        - CL
                        - CM
                        - CN
                        - CO
                        - CR
                        - CU
                        - CV
                        - CW
                        - CX
                        - CY
                        - CZ
                        - DE
                        - DJ
                        - DK
                        - DM
                        - DO
                        - DZ
                        - EC
                        - EE
                        - EG
                        - EH
                        - ER
                        - ES
                        - ES-CE
                        - ES-ML
                        - ET
                        - FI
                        - FJ
                        - FK
                        - FM
[...]
